Subject: AW: [PATCH net-next 6/8] net: mdio: realtek-rtl9300: relocate topology setup

From: "Markus Stockhausen" <[email-masked]>
Date: Tue, 2 Jun 2026 15:01:08 +0200

> Von: Andrew Lunn <[email-masked]> 
> Gesendet: Dienstag, 2. Juni 2026 14:24
> An: Markus Stockhausen <[email-masked]>
> Betreff: Re: [PATCH net-next 6/8] net: mdio: realtek-rtl9300: relocate
topology setup
> 
> On Tue, Jun 02, 2026 at 07:26:38AM +0200, Markus Stockhausen wrote:
> > Until now the driver sets up the port to bus/address topology of the
> > controller after all buses are set up via otto_emdio_probe_one(). This
> > does not work for devices where U-Boot skips this setup. It is not
> > only needed for the hardware internal background PHY polling engine
> > but essential for access to the PHYs during probing.
>
> Talking about polling, when do the locking issues around polling get
> solved? How many more patchsets before that appears?

This series relocates all hardware setup before bus registration.
- It avoids wrong PHY access before topology setup. 
- Side effect: setup does not interfere with concurrent bus reads/writes

With the next series I want to deactivate/activate hardware polling 
during the whole probing process (besides other things). This avoids
that hardware polling fills wrong MAC register states during
bus/PHY setup.

Are you thinking about this? If yes I can add that to this series.

Markus